<?php
/**
 * License class for Replyan AI.
 *
 * @package Replyan_AI
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Replyan_AI_License {

    public static function isPro(): bool {
        //$license_status = get_option( 'replyan_ai_license_status', 'inactive' );
        $expires_at     = get_option( 'replyan_ai_license_expires_at', '' );

        // if ( 'active' === $license_status ) {
        //     if ( empty( $expires_at ) || time() <= strtotime( $expires_at ) ) {
        //         return true;
        //     }
        // }

        if ( time() <= strtotime( $expires_at ) ) {
            return true;
        }

        return false;
    }
}